MYLIB=../mylib.a
AR=ar
#CFLAGS=-O2 -fnonstd +p +w
RE=$(HOME)/mylib/ptrepository
INC=$(HOME)/headers
INCLUDES="-I$(INC)"
CFLAGS=-noex -fsimple -libmieee -xlibmopt +w -O4 -cg92 -dalign +p -pts -ptr$(RE)
LD = CC $(CFLAGS) $(INCLUDES)
INC=$(HOME)/headers
CC=CC -c $(CFLAGS) $(INCLUDES)

.PRECIOUS: $(MYLIB)

OBJS=String.o

all : $(MYLIB) $(HOME)/headers/String.h
	date >all

$(MYLIB)	:	$(OBJS)
	$(AR) r $(MYLIB) $?;

$(HOME)/headers/String.h : String.h
	cp_prot String.h $(HOME)/headers/String.h

.c.o	:
	$(CC) $*.c

String.o : $(HOME)/headers/String.h String.c
